Bug 1279500 - bpm cluster fails to stop after being in a loop while creating an organizational unit
bpm cluster fails to stop after being in a loop while creating an organizatio...
Status: CLOSED INSUFFICIENT_DATA
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity high
: CR1
: 6.2.0
Assigned To: Eder Ignatowicz
Radovan Synek
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 10:14 EST by Radovan Synek
Modified: 2015-11-19 08:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 08:35:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server log node one (546.79 KB, text/plain)
2015-11-09 10:14 EST, Radovan Synek
no flags Details
server log node two (547.07 KB, text/plain)
2015-11-09 10:14 EST, Radovan Synek
no flags Details
jstack output (254.73 KB, text/plain)
2015-11-09 10:15 EST, Radovan Synek
no flags Details

  None (edit)
Description Radovan Synek 2015-11-09 10:14:22 EST
Created attachment 1091794 [details]
server log node one

Description of problem:
Having a BPM cluster with two nodes (using EAP 6.4.4 in a domain mode), attempt to create and organizational unit via UI ended up in an indefinite loop (circle spinning, nothing in a server log). Trying to shut down the EAP in this situation failed and java processes of the application server had to be killed. Please see attached server logs and jstack output for more details. The jstack output suggests there is still the operation creating org. unit waiting.

Version-Release number of selected component (if applicable):
6.2.0.ER5

How reproducible:
time to time the cluster fails to stop
Comment 1 Radovan Synek 2015-11-09 10:14 EST
Created attachment 1091795 [details]
server log node two
Comment 2 Radovan Synek 2015-11-09 10:15 EST
Created attachment 1091796 [details]
jstack output
Comment 3 manstis 2015-11-10 10:34:30 EST
@Eder, is this something you could look into?
Comment 7 Eder Ignatowicz 2015-11-12 15:05:50 EST
I can't reproduce this issue on BPM cluster with two nodes (using EAP 6.4in a domain mode).

Versions tested: master, 6.3.1-SNAPSHOT and 6.3.0-Final.

If you guys think that issue is still valid, could you please give me the reproducer?

Best regards.

Eder
Comment 8 Radovan Synek 2015-11-19 08:35:21 EST
The issue cannot be reproduced.

Note You need to log in before you can comment on or make changes to this bug.